#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	SBC codec library
Summary(pl.UTF-8):	Biblioteka kodeka SBC
Name:		sbc
Version:	2.1
Release:	1
License:	LGPL v2.1+ (library), GPL v2+ (tools)
Group:		Libraries
Source0:	https://www.kernel.org/pub/linux/bluetooth/%{name}-%{version}.tar.xz
# Source0-md5:	46e29f9c2fbd07c417194e5da60b6d48
URL:		http://www.bluez.org/
BuildRequires:	libsndfile-devel
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SBC (Bluetooth low-complexity, subband codec) library.

%description -l pl.UTF-8
Biblioteka SBC (kodeka Bluetooth o małej złożoności).

%package devel
Summary:	Header files for SBC library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki SBC
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for SBC library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki SBC.

%package static
Summary:	Static SBC library
Summary(pl.UTF-8):	Statyczna biblioteka SBC
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SBC library.

%description static -l pl.UTF-8
Statyczna biblioteka SBC.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/sbcdec
%attr(755,root,root) %{_bindir}/sbcenc
%attr(755,root,root) %{_bindir}/sbcinfo
%attr(755,root,root) %{_libdir}/libsbc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsbc.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsbc.so
%{_includedir}/sbc
%{_pkgconfigdir}/sbc.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libsbc.a
%endif
%changelog
* Wed Apr 09 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sbc.git;a=log;h=master

* Wed Apr 09 2025 Jakub Bogusz <qboosh@pld-linux.org> 755304b
- updated to 2.1

* Sat Aug 20 2022 Jakub Bogusz <qboosh@pld-linux.org> fd3215c
- updated to 2.0
- removed obsolete non-x86 patch

* Thu Mar 25 2021 Jan Palus <atler@pld-linux.org> 075ffcb
- upstream patch fixing build on !x86

* Tue Dec 15 2020 Jakub Bogusz <qboosh@pld-linux.org> a22e31a
- updated to 1.5

* Mon Nov 19 2018 Jakub Bogusz <qboosh@pld-linux.org> 6c54245
- updated to 1.4 (stack overflow fix)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9ea9271
- x32 rebuild
- release 2 (by relup.sh)

* Sat Nov 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 4cfedbf
- updated to 1.3

* Sun Jan 26 2014 Jakub Bogusz <qboosh@pld-linux.org> c266976
- updated to 1.2

* Fri May 24 2013 Jakub Bogusz <qboosh@pld-linux.org> a771165
- updated to 1.1

* Wed Aug 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 9ddb5fd
- new

